version: "3.4"
services:
  obfs4-bridge:
    image: thetorproject/obfs4-bridge:latest
    container_name: Tor-bridge
    networks:
      - obfs4_bridge_external_network
    environment:
      # Exit with an error message if OR_PORT is unset or empty.
      - OR_PORT=50000
      # Exit with an error message if PT_PORT is unset or empty.
      - PT_PORT=50001
      # Exit with an error message if EMAIL is unset or empty.
      - EMAIL=smileyaabbcc@protonmail.com
      # Nickname with default value: "DockerObfs4Bridge"
      - NICKNAME=Freesmileyman
#    volumes:
#      - /opt/docker-data/tor/data:/var/lib/tor
    ports:
      - 50010:50000
      - 50011:50001
    restart: unless-stopped

#volumes:
#  data:
#    name: tor-datadir-${OR_PORT}-${PT_PORT}

networks:
  obfs4_bridge_external_network:

